package journal

import (
	"time"

	"gorm.io/gorm"
)

type Entry struct {
	ID      int `gorm:"primaryKey"`
	Date    time.Time
	Title   string
	Content string

	gorm.DeletedAt `gorm:"index,default:null"`
}

func (e *Entry) TableName() string {
	return "entries"
}
